WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Files | Data Structures | Typedefs | Enumerations
WebM VP8 Decoder
VP8

## Files
file | vp8dx.h
| Provides definitions for using the VP8 algorithm within the vpx Decoder interface.

## Data Structures
struct | vp8_decrypt_init
| Structure to hold decryption state. More...

## Typedefs
typedef struct vp8_decrypt_init | vp8_decrypt_init
| Structure to hold decryption state. More...

## Enumerations
enum | vp8_dec_control_id { VP8D_GET_LAST_REF_UPDATES = VP8_DECODER_CTRL_ID_START, VP8D_GET_FRAME_CORRUPTED, VP8D_GET_LAST_REF_USED, VP8D_SET_DECRYPTOR, VP9_INVERT_TILE_DECODE_ORDER, VP8_DECODER_CTRL_ID_MAX }
| VP8 decoder control functions. More...

## Algorithm interface for VP8
This interface provides the capability to decode raw VP8 streams, as would be found in AVI files and other non-Flash uses.
vpx_codec_iface_t | vpx_codec_vp8_dx_algo
vpx_codec_iface_t | vpx_codec_vp9_dx_algo
vpx_codec_iface_t * | vpx_codec_vp8_dx (void)
vpx_codec_iface_t * | vpx_codec_vp9_dx (void)

## Detailed Description

## Typedef Documentation

typedef struct vp8_decrypt_init vp8_decrypt_init

Structure to hold decryption state.

Defines a structure to hold the decryption state and access function.

## Enumeration Type Documentation

enum vp8_dec_control_id

VP8 decoder control functions.

This set of macros define the control functions available for the VP8 decoder interface.

See Also
  vpx_codec_control

Enumerator
VP8D_GET_LAST_REF_UPDATES | control function to get info on which reference frames were updated by the last decode
VP8D_GET_FRAME_CORRUPTED | check if the indicated frame is corrupted
VP8D_GET_LAST_REF_USED | control function to get info on which reference frames were used by the last decode
VP8D_SET_DECRYPTOR | decryption function to decrypt encoded buffer data immediately before decoding. Takes a vp8_decrypt_init, which contains a callback function and opaque context pointer.
VP9_INVERT_TILE_DECODE_ORDER | For testing.